DATE(1)

NAVN
date - print or set the system date and time

OVERSIKT
date [VALG]... [+FORMAT]
date [-u|--utc|--universal] [MMDDhhmm[[CC]YY][.ss]]

BESKRIVELSE

Display date and time in the given FORMAT. With -s, or with [MMDDhhmm[[CC]YY][.ss]], set the date and time.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-d, --date=STRENG
    Vis tid i henhold til formatSTRENG, i stedet for «now».

--debug
    Vis tolket dato, og advar (til standardfeil) om tvilsom bruk.

-f, --file=DATOFIL
    Likner --date, men utfører valget på alle linjer i valgt DATOFIL.

-I[FORMAT], --iso-8601[=FORMAT]
    Skriv ut dato/tid i ISO 8601-format. FORMAT=«date» for å bare skrive ut dato (standard), «hours» (timer), «minutes» (minutter), «seconds» (sekunder), eller «ns» for tid of dato med valgt presisjon. Eksempel: 2006-08-14T02:34:56-06:00.

--resolution
    output the available resolution of timestamps Example: 0.000000001

-R, --rfc-email
    Skriv ut dato og klokkeslett i RFC 2822-format. Eksempel: Man, 14 aug 2006 10:34:56 +0200.

--rfc-3339=TIDSPES
    Skriv ut dato og klokkeslett i RFC 3339-format. Erstatt TIDSPES med «date», «seconds» eller «ns» for å velge presisjonsgrad. Eksempel: 2006-08-14 10:34:56+02:00

-r, --reference=FIL
    Vis når FIL ble endret sist.

-s, --set=STRENG
    Still klokka i henhold til STRENG.

-u, --utc, --universal
    Skriv ut eller still universaltid (UTC).

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

All options that specify the date to display are mutually exclusive. I.e.: --date, --file, --reference, --resolution.

FORMAT controls the output. Interpreted sequences are:

%%  et rent %-tegn (prosenttegn)

%a  forkortet lokalt ukedagsnavn (f.eks. «Søn»)

%A  regiontilpasset, fullstendig ukenavn (f.eks.: søndag)

%b  regiontilpasset, forkortet månedsnavn (f.eks.: jan.)

%B  regiontilpasset, fullstendig månedsnavn (f.eks.: januar)

%c  regiontilpasset dato og klokkeslett (f.eks.: to. 03. mars 2005 kl. 23.05 +0100)

%C  århundre. Likner %Y, men utelater de to siste tallene (f.eks. 20)

%d  månedsdag (f.eks. 01)

%D  date (ambiguous); same as %m/%d/%y

%e  månedsdag, med mellomrom (tilsvarer «%_d»)

%F  fullstendig dato (tilsvarer «%+4Y-%m-%d»)

%g  last two digits of year of ISO week number (ambiguous; 00-99); see %G

%G  year of ISO week number; normally useful only with %V

%h  tilsvarer «%b»

%H  time (00 … 23)

%I  time (01 … 12)

%j  dag i året (001 … 366)

%k  time, med mellomrom ( 0 … 23). Tilsvarer «%_H»

%l  time, med mellomrom ( 1 … 12). Tilsvarer «%_I»

%m  måned (01 … 12)

%M  minutt (00 … 59)

%n  linjeskift

%N  nanosekunder (000000000 … 999999999)

%p  regiontilpasset variant av AM eller PM (tomt hvis ukjent)

%P  likner «%p», men bruker små bokstaver

%q  quarter of year (1..4)

%r  regiontilpasset 12-timersklokkeslett (f.eks. 11:11:04)

%R  timer og minutter i 24-timersformat (tilsvarer «%H:%M»)

%s  seconds since the Epoch (1970-01-01 00:00 UTC)

%S  sekund (00 … 60)

%t  tabulatortegn

%T  klokkeslett (tilsvarer «%H:%M:%S»)

%u  ukedag (1 … 7; «1» betyr mandag)

%U  ukenummer i året, med søndag som første ukedag (00 … 53)

%V  ISO-ukenummer, med mandag som første ukedag (01 … 53)

%w  ukedag (0 … 6; «0» betyr søndag)

%W  ukenummer i året, med mandag som første ukedag (00 … 53)

%x  locale's date (can be ambiguous; e.g., 12/31/99)

%X  regiontilpasset klokkeslett (f.eks. kl. 23.13 +0200)

%y  last two digits of year (ambiguous; 00..99)

%Y  årstall

%z  +hhmm numerisk tidssone (f.eks. -0400)

%:z +hh:mm numerisk tidssone (f.eks. -04:00)

%::z
    +hh:mm:ss numerisk tidssone (f.eks. -04:00:00)

%:::z
    numerisk tidssone med «:» for å velge presisjon (f.eks. -04, +05:30)

%Z  alfabetisk forkortet navn på tidssonen (f.eks. CET)

Date legger til nuller i ensifrede tidsverdier som standard. Du kan ta valg med tegnet «%», etterfulgt av et av følgende:

-   (bindestrek) ikke fyll ut felt

_   (understrek) fyll ut med mellomrom

0   (zero) fyll ut med ledende nulltegn

+   fyll ut med nuller, og legg til «+» før fremtidige år med >4 siffer

^   bruk store bokstaver hvis mulig

#   bruk omvendt bokstavstørrelse hvis mulig

Du kan velge bredde etter et valg med desimaltall, etterfulgt av en eventuell endring som enten er «E» for å bruke evt. regiontilpassede datoformat, eller «O» for å bruke evt. regiontilpassede tallformat.

EKSEMPLER
Konverter antall sekunder siden Unix-epokens start (1970-01-01 UTC) til en dato

    $ date --date='@2147483647'

Show the time on the west coast of the US (use tzselect(1) to find TZ)

    $ TZ='America/Los_Angeles' date

Vis lokal tid for kl. 09:00 neste fredag på vestkysten i USA

    $ date --date='TZ="America/Los_Angeles" 09:00 next Fri'

DATE STRING
The --date=STRING is a mostly free format human readable date string such as "Sun, 29 Feb 2004 16:21:42 -0800" or "2004-02-29 16:21:42" or even "next Thursday". A date string may contain items indicating calendar date, time of day, time zone, day of week, relative time, relative date, and numbers. An empty string indicates the beginning of the day. The date string format is more complex than is easily documented here but is fully described in the info documentation.

OPPHAVSMANN
Skrevet af David MacKenzie.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/date>
eller lokalt: info '(coreutils) date invocation'

Packaged by Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre.
Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.